VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions
testbase.cpp File Reference
`#include "public.sdk/source/vst/testsuite/testbase.h"`
`#include "public.sdk/source/vst/utility/stringconvert.h"`
`#include <cstdarg>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Functions
| IMPLEMENT_FUNKNOWN_METHODS (TestBase, ITest, ITest::iid)
void | addMessage (ITestResult *testResult, const std::u16string &str)
void | addMessage (ITestResult *testResult, const char *str)
void | addErrorMessage (ITestResult *testResult, const char *str)
void | addErrorMessage (ITestResult *testResult, const std::u16string &str)
std::u16string | printf (const char8 *format,...)
| IMPLEMENT_FUNKNOWN_METHODS (ParamChanges, IParamValueQueue, IParamValueQueue::iid) ParamChanges

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.